Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.impl
[Java] Class GrailsLog4jMDCAdapter

    java.lang.Object
      org.slf4j.impl.GrailsLog4jMDCAdapter

All Implemented Interfaces:
  org.slf4j.spi.MDCAdapter

    @java.lang.SuppressWarnings({ "rawtypes", "unchecked" })
    public class GrailsLog4jMDCAdapter

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`void` | `clear()`
`java.lang.String` | `get(java.lang.String key)`
`java.util.Map` | `getCopyOfContextMap()`
`void` | `put(java.lang.String key, java.lang.String val)`
`void` | `remove(java.lang.String key)`
`void` | `setContextMap(java.util.Map contextMap)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### clear

    public void clear()

### get

    public java.lang.String get(java.lang.String key)

### getCopyOfContextMap

    public java.util.Map getCopyOfContextMap()

### put

    public void put(java.lang.String key, java.lang.String val)

### remove

    public void remove(java.lang.String key)

### setContextMap

    public void setContextMap(java.util.Map contextMap)

Groovy Documentation